#coding utf-8

module MachineLearner
  # 学習器にかけるデータ
  # 特徴空間xと識別結果yを持つ
  class DataSet
    attr_reader :x, :y
    attr_accessor :id
    
    # コンストラクタ
    # @param x 特徴空間
    # @param y 識別結果
    def initialize(x, y, id = nil)
      @x, @y = x, y
      @id = id
    end
    
    # @return データセットを表現する文字列
    def to_s
      "(#{@x}=>#{@y})"
    end
    
  end
end

# vim: set et ts=2 sts=2 sw=2:

